package domain

type AlibabaHmMarketingExpirePromotionCreateT struct {
	/*
	   商家code     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品itemId     */
	ItemId *int64 `json:"item_id,omitempty" `

	/*
	   门店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionCreateT) SetMerchantCode(v string) *AlibabaHmMarketingExpirePromotionCreateT {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetSkuCode(v string) *AlibabaHmMarketingExpirePromotionCreateT {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetItemId(v int64) *AlibabaHmMarketingExpirePromotionCreateT {
	s.ItemId = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetShopId(v string) *AlibabaHmMarketingExpirePromotionCreateT {
	s.ShopId = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetErrorCode(v string) *AlibabaHmMarketingExpirePromotionCreateT {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetSuccess(v bool) *AlibabaHmMarketingExpirePromotionCreateT {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateT) SetErrorMsg(v string) *AlibabaHmMarketingExpirePromotionCreateT {
	s.ErrorMsg = &v
	return s
}
